qpid::console::Broker Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Friends
qpid::console::Broker Class Reference

`#include <qpid/console/Broker.h>`

List of all members.

## Classes
class | ConnectionThread
## Public Member Functions
| Broker (SessionManager &sm, client::ConnectionSettings &settings)
| ~Broker ()
QPID_CONSOLE_INLINE_EXTERN bool | isConnected () const
QPID_CONSOLE_INLINE_EXTERN const std::string & | getError () const
QPID_CONSOLE_INLINE_EXTERN const std::string & | getSessionId () const
QPID_CONSOLE_INLINE_EXTERN const framing::Uuid & | getBrokerId () const
QPID_CONSOLE_INLINE_EXTERN uint32_t | getBrokerBank () const
QPID_CONSOLE_INLINE_EXTERN void | addBinding (const std::string &key)
std::string | getUrl () const
void | waitForStable ()
## Friends
std::ostream & | operator<< (std::ostream &o, const Broker &k)

## Constructor & Destructor Documentation

qpid::console::Broker::Broker | ( | SessionManager & | sm,
|  | client::ConnectionSettings & | settings
| ) |  |

qpid::console::Broker::~Broker | ( |  | ) |

## Member Function Documentation

QPID_CONSOLE_INLINE_EXTERN void qpid::console::Broker::addBinding | ( | const std::string & | key | ) | `[inline]`

Definition at line 63 of file Broker.h.

References qpid::console::Broker::ConnectionThread::bindExchange().

QPID_CONSOLE_INLINE_EXTERN uint32_t qpid::console::Broker::getBrokerBank | ( |  | ) | const`[inline]`

Definition at line 62 of file Broker.h.

QPID_CONSOLE_INLINE_EXTERN const framing::Uuid& qpid::console::Broker::getBrokerId | ( |  | ) | const`[inline]`

Definition at line 61 of file Broker.h.

QPID_CONSOLE_INLINE_EXTERN const std::string& qpid::console::Broker::getError | ( |  | ) | const`[inline]`

Definition at line 59 of file Broker.h.

QPID_CONSOLE_INLINE_EXTERN const std::string& qpid::console::Broker::getSessionId | ( |  | ) | const`[inline]`

Definition at line 60 of file Broker.h.

std::string qpid::console::Broker::getUrl | ( |  | ) | const

QPID_CONSOLE_INLINE_EXTERN bool qpid::console::Broker::isConnected | ( |  | ) | const`[inline]`

Definition at line 58 of file Broker.h.

void qpid::console::Broker::waitForStable | ( |  | ) |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | const Broker & | k
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- qpid/console/Broker.h